<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (12.0.1) on Tue Jan 07 09:13:49 CET 2020 -->
<title>AssistanceStatistics</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2020-01-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="AssistanceStatistics";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/AssistanceStatistics.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">statistics</a></div>
<h2 title="Class AssistanceStatistics" class="title">Class AssistanceStatistics</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>statistics.AssistanceStatistics</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">AssistanceStatistics</span>
extends java.lang.Object</pre>
<div class="block">Theme park application.
 Main class for assistance statistics</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.0 - 01 mar 2019</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Jose Antonio Cuello Principal</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<div class="memberSummary">
<table>
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;<a href="AssistanceAnnual.html" title="class in statistics">AssistanceAnnual</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#assistanceList">assistanceList</a></span></code></th>
<td class="colLast">
<div class="block">List of annuals statistics</div>
</td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">AssistanceStatistics</a></span>()</code></th>
<td class="colLast">
<div class="block">Constructor</div>
</td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#accumulateIntoYear(java.time.LocalDate,int%5B%5D,double%5B%5D)">accumulateIntoYear</a></span>&#8203;(java.time.LocalDate&nbsp;date,
                  int[]&nbsp;quantities,
                  double[]&nbsp;amounts)</code></th>
<td class="colLast">
<div class="block">Accumulate the quantities and amounts indicated and according to the date,
 in the year, month and day.</div>
</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#desacumulateIntoYear(java.time.LocalDate,int%5B%5D,double%5B%5D)">desacumulateIntoYear</a></span>&#8203;(java.time.LocalDate&nbsp;date,
                    int[]&nbsp;quantities,
                    double[]&nbsp;amounts)</code></th>
<td class="colLast">
<div class="block">Accumulate the quantities and amounts indicated and according to the date,
 in the year, month and day.</div>
</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code><a href="AssistancePerson.html" title="class in statistics">AssistancePerson</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getStatisticForDay(int,int)">getStatisticForDay</a></span>&#8203;(int&nbsp;year,
                  int&nbsp;dayOfYear)</code></th>
<td class="colLast">
<div class="block">Obtains the statistic for indicated day of year</div>
</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code><a href="AssistancePerson.html" title="class in statistics">AssistancePerson</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getStatisticForMonth(int,int)">getStatisticForMonth</a></span>&#8203;(int&nbsp;year,
                    int&nbsp;month)</code></th>
<td class="colLast">
<div class="block">Obtains the statistic for indicated month</div>
</td>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><code><a href="AssistancePerson.html" title="class in statistics">AssistancePerson</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getStatisticForYear(int)">getStatisticForYear</a></span>&#8203;(int&nbsp;year)</code></th>
<td class="colLast">
<div class="block">Obtains the statistic for indicated year</div>
</td>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><code>private <a href="AssistanceAnnual.html" title="class in statistics">AssistanceAnnual</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#searchStatisticForYear(int)">searchStatisticForYear</a></span>&#8203;(int&nbsp;year)</code></th>
<td class="colLast">
<div class="block">Search and return the statistics record for the indicated year</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="assistanceList">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>assistanceList</h4>
<pre>private final&nbsp;java.util.ArrayList&lt;<a href="AssistanceAnnual.html" title="class in statistics">AssistanceAnnual</a>&gt; assistanceList</pre>
<div class="block">List of annuals statistics</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AssistanceStatistics</h4>
<pre>public&nbsp;AssistanceStatistics()</pre>
<div class="block">Constructor</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="accumulateIntoYear(java.time.LocalDate,int[],double[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>accumulateIntoYear</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;accumulateIntoYear&#8203;(java.time.LocalDate&nbsp;date,
                               int[]&nbsp;quantities,
                               double[]&nbsp;amounts)</pre>
<div class="block">Accumulate the quantities and amounts indicated and according to the date,
 in the year, month and day.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>date</code> - </dd>
<dd><code>quantities</code> - </dd>
<dd><code>amounts</code> - </dd>
</dl>
</li>
</ul>
<a id="desacumulateIntoYear(java.time.LocalDate,int[],double[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>desacumulateIntoYear</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;desacumulateIntoYear&#8203;(java.time.LocalDate&nbsp;date,
                                 int[]&nbsp;quantities,
                                 double[]&nbsp;amounts)</pre>
<div class="block">Accumulate the quantities and amounts indicated and according to the date,
 in the year, month and day.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>date</code> - </dd>
<dd><code>quantities</code> - </dd>
<dd><code>amounts</code> - </dd>
</dl>
</li>
</ul>
<a id="getStatisticForDay(int,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStatisticForDay</h4>
<pre class="methodSignature">public&nbsp;<a href="AssistancePerson.html" title="class in statistics">AssistancePerson</a>&nbsp;getStatisticForDay&#8203;(int&nbsp;year,
                                           int&nbsp;dayOfYear)</pre>
<div class="block">Obtains the statistic for indicated day of year</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>year</code> - </dd>
<dd><code>dayOfYear</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>AssistancePerson</dd>
</dl>
</li>
</ul>
<a id="getStatisticForMonth(int,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStatisticForMonth</h4>
<pre class="methodSignature">public&nbsp;<a href="AssistancePerson.html" title="class in statistics">AssistancePerson</a>&nbsp;getStatisticForMonth&#8203;(int&nbsp;year,
                                             int&nbsp;month)</pre>
<div class="block">Obtains the statistic for indicated month</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>year</code> - </dd>
<dd><code>month</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>AssistancePerson</dd>
</dl>
</li>
</ul>
<a id="getStatisticForYear(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStatisticForYear</h4>
<pre class="methodSignature">public&nbsp;<a href="AssistancePerson.html" title="class in statistics">AssistancePerson</a>&nbsp;getStatisticForYear&#8203;(int&nbsp;year)</pre>
<div class="block">Obtains the statistic for indicated year</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>year</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>AssistancePerson</dd>
</dl>
</li>
</ul>
<a id="searchStatisticForYear(int)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>searchStatisticForYear</h4>
<pre class="methodSignature">private&nbsp;<a href="AssistanceAnnual.html" title="class in statistics">AssistanceAnnual</a>&nbsp;searchStatisticForYear&#8203;(int&nbsp;year)</pre>
<div class="block">Search and return the statistics record for the indicated year</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>year</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>AssistanceAnnual</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/AssistanceStatistics.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
